Kerbal Space Program - Bug #24475

Shadows Glitching in 1.8
12/06/2019 03:23 AM - bcink

Status: Closed Start date: 12/06/2019
Severity: Low % Done: 100%
Assignee: Robert.Keech
Category: Camera
Target version: 1.9.0
Version: 1.8.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

Upon testing of a new part in 1.8 | discovered large amounts of flickering from the handrails on the shadows that are cast back onto
the main body of the part (See attachments 1.png and 2.png). | then discovered this is not limited to my part and it plagues stock
parts as well (See attachment 3.png). Problem is noticeable on Cupola from it's handrails as well.

Reverting to KSP 1.7.3 resolves this issue.

Suspected cause is the world directional light in the KSP scene, perhaps shadow bias settings. Unsure why this happens in only
limited cases.

System is running Windows 10 x1909.
GPU is Radeon 7, CPU is i7 9700k, 32GB RAM.

Have verified system is running nominally, temperature-wise and software-wise
Have removed and reinstalled older + newer WHQL AMD drivers and problem persists. Currently 19.9.2 installed.
Have completely removed KSP installation and installed fresh and problem persists.

Log file and settings from 1.8 installation attached.

Problem persists in fresh installation and thus unable to provide further details on reproducing on other systems.

History

#1 - 12/06/2019 03:39 AM - beink
- File laptop1.png added
Problem also present on my laptop.

System is Lenovo Yoga 2 Pro on Windows 10 x1909 on Intel i5-4200 CPU with integrated GPU Intel HD Graphics Family driver 20.19.15.4642
running KSP 1.8.1.

Picture of Cupola with the shadow issue attached (laptop1.png).

#2 - 12/09/2019 02:23 AM - AlphaMensae
- File screenshot7.png added
bcink wrote:

Problem also present on my laptop.

System is Lenovo Yoga 2 Pro on Windows 10 x1909 on Intel i5-4200 CPU with integrated GPU Intel HD Graphics Family driver 20.19.15.4642
running KSP 1.8.1.

Picture of Cupola with the shadow issue attached (laptop1.png).

Can confirm with the Cupola, the handholds cast a flickering, jagged shadow that's more prominent when moving the camera.
#4 - 12/19/2019 04:30 PM - Robert.Keech

- Assignee set to Robert.Keech

#5 - 02/15/2020 05:47 PM - victorr

- Status changed from New to Ready to Test

- Target version set to 1.9.0

- % Done changed from 0 to 80

We have made changes in this last release and would like your feedback please.

#6 - 02/15/2020 09:01 PM - bcink
- File 1.png added
- File 2.png added
- File 3.png added
- File 4.png added

victorr wrote:

We have made changes in this last release and would like your feedback please.

Thank you! The revised shading method appears to have resolved the issue nearly fully. Both the flickering and the glitching of the shadows are not
occurring. It appears the shadows are much more "blended" now however, and the definition has been lost. | understand that may be a sacrifice of
the resolution and not possible to enhance at this time. On the stock parts, | could not locate any additional flaws (images 3 and 4). On this custom

part with many handrails, the shadow blending is good on all the longer railings but a little awkward on the side-rails - very minimal flickering, its
entirely passable as working if no further enhancement is possible (images 1 and 2). Thank you again!!!

#7 - 02/20/2020 04:53 PM - Robert.Keech

- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

#8 - 02/21/2020 01:44 AM - chris.fulton

- Status changed from Resolved to Closed
